Bug 166464 - Permissions on /etc/cups/cupsd.conf keep mysteriously changing.
Permissions on /etc/cups/cupsd.conf keep mysteriously changing.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-21 20:30 EDT by Peter Williams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 17:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Williams 2005-08-21 20:30:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
The read permission bit for "other" on file /etc/cups/cupsd.conf keeps on getting mysteriously turned off.  I have searhed the various logs to try to determine what is doing this to no avail.

How do I stop this behaviour?

Version-Release number of selected component (if applicable):
cups-1.1.23-15.1

How reproducible:
Always

Steps to Reproduce:
1. set read bit on
2. printing fails because /etc/cups/cupsd.conf can't be read
3. check to find read bit is off
  

Actual Results:  I got annoyed and set the read bit back on

Additional info:
Comment 1 Tim Waugh 2005-09-05 07:29:32 EDT
The cupsd daemon will alter permissions of its configuration files.

There is no reason to have the "other" read bit on for that file, and in fact
there are good reasons not to.  In what way does printing fail when this is the
case?
Comment 2 John Thacker 2006-05-05 17:33:44 EDT
Closing due to lack of response by reporter.

Note You need to log in before you can comment on or make changes to this bug.